## white dune-0.28pl11

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = cc
CXX = CC
CXXCPP = CC -E
YACC = bison -y
LEX = flex
AWK = gawk

# WARNINGS = -Wall -Wwrite-strings
# WARNINGS = -woff 3303
# LFLAGS = -woff 1167 -woff 1110 -woff 3322
CFLAGS = -g $(WARNINGS) -I. -Iswt/include  -I/usr/local/include -I/usr/freeware/include 
CXXFLAGS = $(CFLAGS)
LIBS =  -Lswt/lib -lswt -LSDLjoystick  -lpng -ljpeg -lz -lglut -lGLU -lGL -lXi -lXm -lXext -lXt -lXmu -lX11 -lm -ldl  -L/usr/local/lib32 -L/usr/freeware/lib32 -L/usr/lib32 
NEBULA = 

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

CLASSES = \
	AboutDialog.o \
	CommandList.o \
	ElevationGridDialog.o \
	EventIn.o \
	EventOut.o \
	ExposedField.o \
	Field.o \
	FieldCommand.o \
	MFieldCommand.o \
	Face.o \
	FieldValue.o \
	Image.o \
	Interpolator.o \
	Matrix.o \
	MoveCommand.o \
	Scene.o \
	Node.o \
	Path.o \
	Proto.o \
	RouteCommand.o \
	SFBool.o \
        SFBoolItem.o \
	SFColor.o \
        SFColorItem.o \
	SFFloat.o \
        SFFloatItem.o \
	SFImage.o \
        SFImageItem.o \
	SFInt32.o \
        SFInt32Item.o \
	SFNode.o \
        SFNodeItem.o \
	SFRotation.o \
        SFRotationItem.o \
	SFString.o \
        SFStringItem.o \
	SFTime.o \
        SFTimeItem.o \
	SFVec2f.o \
        SFVec2fItem.o \
	SFVec3f.o \
        SFVec3fItem.o \
	MyString.o \
	UnRouteCommand.o \
	Mesh.o \
	MFColor.o \
        MFColorItem.o \
	MFInt32.o \
        MFInt32Item.o \
	MFFloat.o \
        MFFloatItem.o \
	MFNode.o \
        MFNodeItem.o \
	MFRotation.o \
        MFRotationItem.o \
	MFString.o \
        MFStringItem.o \
	MFTime.o \
        MFTimeItem.o \
	MFVec2f.o \
        MFVec2fItem.o \
	MFVec3f.o \
        MFVec3fItem.o \
	NodeAnchor.o \
	NodeAppearance.o \
	NodeAudioClip.o \
	NodeBackground.o \
	NodeBillboard.o \
	NodeBox.o \
	NodeCollision.o \
	NodeColor.o \
	NodeColorInterpolator.o \
	NodeCone.o \
	NodeContour2D.o \
	NodeCoordinate.o \
	NodeCoordinateDeformer.o \
	NodeCoordinateInterpolator.o \
	NodeCylinder.o \
	NodeCylinderSensor.o \
	NodeDirectionalLight.o \
	NodeElevationGrid.o \
	NodeExtrusion.o \
	NodeFog.o \
	NodeFontStyle.o \
	NodeGroup.o \
	NodeImageTexture.o \
	NodeIndexedFaceSet.o \
	NodeIndexedLineSet.o \
	NodeInline.o \
        NodeInlineLoadControl.o \
	NodeList.o \
        NodeLoadSensor.o \
	NodeLOD.o \
	NodeMaterial.o \
	NodeMovieTexture.o \
	NodeNavigationInfo.o \
	NodeNormal.o \
	NodeNormalInterpolator.o \
	NodeNurbsCurve.o \
	NodeNurbsCurve2D.o \
	NodeNurbsGroup.o \
	NodeNurbsPositionInterpolator.o \
	NodeNurbsSurface.o \
	NodeNurbsTextureSurface.o \
	NodeOrientationInterpolator.o \
	NodePixelTexture.o \
	NodePlaneSensor.o \
	NodePointLight.o \
	NodePointSet.o \
	NodePolyline2D.o \
	NodePositionInterpolator.o \
	NodeProximitySensor.o \
	NodeScalarInterpolator.o \
	NodeScript.o \
	NodeShape.o \
	NodeSound.o \
	NodeSphere.o \
	NodeSphereSensor.o \
	NodeSpotLight.o \
	NodeSwitch.o \
	NodeText.o \
	NodeTextureCoordinate.o \
	NodeTextureTransform.o \
	NodeTimeSensor.o \
	NodeTouchSensor.o \
	NodeTransform.o \
        NodeTrimmedSurface.o \
	NodeViewpoint.o \
	NodeVisibilitySensor.o \
	NodeWorldInfo.o \
	NurbsCurveDialog.o \
	NurbsPlaneDialog.o \
	SelectionCommand.o \
	Quaternion.o \
	RenderState.o \
	SceneTreeView.o \
	SceneGraphView.o \
	Scene3DView.o \
	SceneView.o \
	Dialog.o \
	PreferencesDialog.o \
	EcmaScriptSettingsDialog.o \
	PreviewSettingsDialog.o \
	UploadSettingsDialog.o \
	HelpSettingsDialog.o \
	TexteditSettingsDialog.o \
	StereoViewSettingsDialog.o \
	DuneApp.o \
	FieldView.o \
	FieldViewItem.o \
	Util.o \
	URL.o \
	PanedWindow.o \
	StatusBar.o \
	ChannelView.o \
	ToolbarWindow.o \
	EulerAngles.o \
        xerrorhandler.o \
        x3dtranslators.o \
        InputDevice.o \
        TransformMode.o \
        ColorCircle.o \
        Aflock.o \
        ScriptDialog.o \
        ScriptEdit.o \
        Types.o \
        Commandline.o \
        PreferencesApp.o \
        EcmaScriptApp.o \
        StereoViewApp.o \
        InputDeviceApp.o \
        DefDialog.o \
	Box2NurbsDialog.o \
	Cone2NurbsDialog.o \
	Cylinder2NurbsDialog.o \
	Sphere2NurbsDialog.o \
	NurbsArc.o\
	NurbsCurveDegreeElevate.o \
	NurbsSurfaceDegreeElevate.o \
	NurbsMakeRevolvedSurface.o \
        NurbsCurve2NurbsSurfDialog.o \
        AnimationDialog.o \
        URLDialog.o \
        NodeSuperEllipsoid.o \
        NodeSuperShape.o \
        NodeSuperExtrusion.o \
        NodeComment.o \
        MeshBasedNode.o \
        OutputApp.o \
        OutputSettingsDialog.o \
        ArrayDialog.o \
        OneFloatDialog.o \
        MainWindow.o \
        illegal2vrml.o \
	parser.o \
	lexer.o $(NEBULA)


OBJS1 = \
	gif.o \
	jpegLoad.o \
	pngLoad.o \
        resource.o \
        mysnprintf.o

OBJS =  $(CLASSES) $(OBJS1) 

SRCS2  = $(OBJS1:.o=.c)
SRCS1 = $(CLASSES:.o=.cpp)

YFLAGS = -d

target: mysnprintf.o
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../bin/dune

nebula/ExportNebula.o: nebula/ExportNebula.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ nebula/ExportNebula.cpp

../bin/dune:  main.o $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) main.o $(OBJS) $(LIBS) -o $@
	sh -c "if test `uname` = IRIX64 ; then tag 0x00ff1a00 $@ ; fi"
	sh -c "if test `uname` = IRIX   ; then tag 0x00ff1a00 $@ ; fi"
	sh -c "if test `uname` = Darwin ; then (cd ../desktop/macosx/white_dune.app/Contents/MacOS && ln -sf ../../../../../bin/dune .) ; fi"

selftest: mysnprintf.o 
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../test/dune_selftest

../test/dune_selftest: ../test/selftest.cpp $(OBJSDUNE) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) ../test/selftest.cpp $(OBJS) $(LIBS) $(OBJSDUNE) -o $@

allNodesTest: mysnprintf.o
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../test/dune_allNodesTest

../test/dune_allNodesTest: ../test/allNodesTest.cpp $(OBJSDUNE) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) ../test/allNodesTest.cpp $(OBJS) $(LIBS) $(OBJSDUNE) -o $@

SFMFTypes.h: ../batch/mkSFMFTypes.sh
	sh ../batch/mkSFMFTypes.sh
 
#SFMFTypes.h SFMFTypesItem.h Types.h Types.cpp: ../batch/mkSFMFTypes.sh
#	sh ../batch/mkSFMFTypes.sh


lexer.o:	lexer.cpp
	$(CXX) $(CXXFLAGS) $(LFLAGS) -c lexer.cpp

lexer.cpp:	lexer.l
	echo '#ifndef WIN32' > lexer.cpp
	echo '#include "unistd.h"' >> lexer.cpp
	echo '#endif' >> lexer.cpp
	$(LEX) -t lexer.l | grep -v unistd.h >> lexer.cpp

parser.o:	parser.cpp
	$(CXX) $(CXXFLAGS) -c parser.cpp

parser.cpp y.tab.h:	parser.y
	$(YACC) $(YFLAGS) parser.y
	mv y.tab.c parser.cpp

ICONS= res/fullSocketSquare.bmp  res/standard_toolbar.bmp \
       res/emptySocketSquare.bmp res/halftone.bmp         \
       res/node_icons.bmp        res/vcr.bmp \
       res/recommendedSocketSquare.bmp

resource.c:	dune.rc swt/rc/rc $(ICONS) resource.h
	sed 's.\\\\./.' < dune.rc > dune1.rc.c
	$(CXXCPP) dune1.rc.c > dune2.rc.c 
	grep -v '//' dune2.rc.c > dune3.rc.c
	if swt/rc/rc < dune3.rc.c > resource.c ; then echo ; else rm  resource.c ; exit 1 ; fi
	rm dune1.rc.c dune2.rc.c dune3.rc.c

swt/rc/rc: swt/rc/rc.c
	(cd swt/rc && make)

configure: configure.in
	autoconf
     
clean:
	cd swt ; $(MAKE) clean
	cd SDLjoystick ; $(MAKE) clean
	rm -rf $(OBJS) main.o *.bak \
        gmon.out config.cache config.log core iifiles ii_files \
	mysnprintftest joysticktest spaceballtest aflocktest

ntclean: 
	rm -f dune.aps dune.opt dune.ncb  dune.plg dune.dep dune.mak \
              swt/win32/Release/*.obj swt/win32/Debug/*.obj \
              Release/*.obj Debug/*.obj

ntrealclean: ntclean
	 rm -f swt/win32/Release/* swt/win32/Debug/* \
               Release/* Debug/*

realclean: clean ntrealclean
	rm -f swt/lib/*.a swt/lib/*.so* swt/rc/rc */*.obj bison.simple
	rm -rf v2x3d/* x3dv2/*

mysnprintftest: mysnprintf.c
	$(CC) -g -DTEST_SNPRINTF -DHAVE_SNPRINTF=1 -o $@ mysnprintf.c -lm

INPUTTEST_OBJS=EulerAngles.o Quaternion.o Aflock.o

joysticktest: InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS)
	$(CXX) -DDEBUG=1 $(CXXFLAGS) -g -DTEST_JOYSTICK -DLINUXJOYSTICK=1 \
             -o $@ InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS) $(LIBS)

spaceballtest: InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS)
	$(CXX) $(CXXFLAGS) -g -DTEST_SPACEBALL -DHAVE_LIBSBALL=1 \
             -o $@ InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS) $(LIBS) -lsball

aflocktest: InputDevice.cpp $(INPUTTEST_OBJS) mysnprintf.o
	$(CXX) $(CXXFLAGS) -g -DTEST_AFLOCK -DHAVE_AFLOCK=1 \
             -o $@ InputDevice.cpp $(INPUTTEST_OBJS) mysnprintf.o $(LIBS)

clobber:
	cd swt ; $(MAKE) clobber
	rm -f dune

depend:	parser.cpp lexer.cpp
	cp Makefile Makefile.bak
	$(AWK) '{ print } /^# DO NOT DELETE THIS LINE/ { print ""; exit }' < Makefile.bak > Makefile
	if test "$(CXX)" = "c++" ; then \
           mkdep="g++ -MM";\
        else \
           if test "`uname`" = "SunOS" ; then\
              mkdep="$(CXX) -xM1";\
           else\
              mkdep="$(CXX) -M";\
           fi\
        fi;\
        $$mkdep $(CXXFLAGS) $(SRCS1) $(SRCS2) parser.cpp lexer.cpp >> Makefile

debug: ../bin/dune
	rm xerrorhandler.o
	$(CXX) $(CXXFLAGS) -DHAVE_WANT_CORE=1 -c xerrorhandler.cpp
	make ../bin/dune

# DO NOT DELETE THIS LINE -- make depend depends on it.

AboutDialog.o: AboutDialog.cpp
AboutDialog.o: stdafx.h
AboutDialog.o: config.h
AboutDialog.o: /usr/include/unistd.h
AboutDialog.o: /usr/include/standards.h
AboutDialog.o: /usr/include/internal/sgimacros.h
AboutDialog.o: /usr/include/sys/types.h
AboutDialog.o: /usr/include/sgidefs.h
AboutDialog.o: /usr/include/sys/pthread.h
AboutDialog.o: /usr/include/sys/bsd_types.h
AboutDialog.o: /usr/include/sys/select.h
AboutDialog.o: /usr/include/string.h
AboutDialog.o: /usr/include/internal/string_core.h
AboutDialog.o: /usr/include/sys/unistd.h
AboutDialog.o: /usr/include/getopt.h
AboutDialog.o: /usr/include/sys/uio.h
AboutDialog.o: /usr/include/utime.h
AboutDialog.o: /usr/include/sys/utime.h
AboutDialog.o: /usr/include/re_comp.h
AboutDialog.o: /usr/include/limits.h
AboutDialog.o: /usr/include/internal/limits_core.h
AboutDialog.o: /usr/include/GL/gl.h
AboutDialog.o: /usr/include/GL/glu.h
AboutDialog.o: mysnprintf.h
AboutDialog.o: /usr/include/stdarg.h
AboutDialog.o: /usr/include/assert.h
AboutDialog.o: /usr/include/internal/assert_core.h
AboutDialog.o: AboutDialog.h
AboutDialog.o: Dialog.h
AboutDialog.o: swt/include/swttypedef.h
AboutDialog.o: resource.h
AboutDialog.o: swt/include/swt.h
AboutDialog.o: swt/include/keycodes.h
AboutDialog.o: MyString.h
AboutDialog.o: /usr/include/stdio.h
AboutDialog.o: /usr/include/internal/stdio_core.h
AboutDialog.o: /usr/include/stdlib.h
AboutDialog.o: /usr/include/internal/stdlib_core.h
AboutDialog.o: /usr/include/internal/locale_attr_core.h
AboutDialog.o: newline.h
CommandList.o: CommandList.cpp
CommandList.o: stdafx.h
CommandList.o: config.h
CommandList.o: /usr/include/unistd.h
CommandList.o: /usr/include/standards.h
CommandList.o: /usr/include/internal/sgimacros.h
CommandList.o: /usr/include/sys/types.h
CommandList.o: /usr/include/sgidefs.h
CommandList.o: /usr/include/sys/pthread.h
CommandList.o: /usr/include/sys/bsd_types.h
CommandList.o: /usr/include/sys/select.h
CommandList.o: /usr/include/string.h
CommandList.o: /usr/include/internal/string_core.h
CommandList.o: /usr/include/sys/unistd.h
CommandList.o: /usr/include/getopt.h
CommandList.o: /usr/include/sys/uio.h
CommandList.o: /usr/include/utime.h
CommandList.o: /usr/include/sys/utime.h
CommandList.o: /usr/include/re_comp.h
CommandList.o: /usr/include/limits.h
CommandList.o: /usr/include/internal/limits_core.h
CommandList.o: /usr/include/GL/gl.h
CommandList.o: /usr/include/GL/glu.h
CommandList.o: mysnprintf.h
CommandList.o: /usr/include/stdarg.h
CommandList.o: /usr/include/assert.h
CommandList.o: /usr/include/internal/assert_core.h
CommandList.o: CommandList.h
CommandList.o: Command.h
CommandList.o: List.h

=== src/SDLjoystick/Makefile ===
# Generated automatically from Makefile.in by configure.
# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

CC = cc
CXX = CC
SDL_JOYSTICK_SUBDIR = 
LIBS = -lpng -ljpeg -lz -lglut -lGLU -lGL -lXi -lXm -lXext -lXt -lXmu -lX11 -lm -ldl  -L/usr/local/lib32 -L/usr/freeware/lib32 -L/usr/lib32 

CFLAGS = -g -I$$PWD 
RANLIB = echo

OBJS =  mini_SDL_joystick.o $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.o

libSDLjoystick.a: $(OBJS) 
	if test -f SDL_sysjoystick.o ; then mv SDL_sysjoystick.o $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.o ; fi 
	ar -r $@ $(OBJS)
	$(RANLIB) $@ 

joysticktest: joysticktest.c libSDLjoystick.a
	cc -o $@ $(CFLAGS) joysticktest.c libSDLjoystick.a $(LIBS)

clean:
	rm -f joysticktest libSDLjoystick.a *.o */*.o

depend: 
	cc -M -I$$PWD $(SDL_JOYSTICK_SUBDIR)/SDL_sysjoystick.c >> Makefile

# do not delete

=== src/swt/motif/Makefile ===
# Generated automatically from Makefile.in by configure.
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = cc
AWK = gawk
RANLIB = echo 

LIBS = -lXpm -lXm -lXt -lX11
INCDIRS = -I../.. -I../include  -I/usr/local/include -I/usr/freeware/include 
# WARNINGS = -Wall -Wwrite-strings
FONT24 = 
CFLAGS = -g $(WARNINGS) $(INCDIRS) -DFONT24=\"$(FONT24)\"
DLIB = ../lib/libswt.so.0.1
SLIB = ../lib/libswt.a

target: $(SLIB)
#target: $(DLIB) $(SLIB)

OBJS = \
	swt.o \
	browser.o \
	tree.o \
	header.o \
	groupbox.o \
	statusbar.o \
	toolbar.o \
	util.o \
	resload.o

SRCS = $(OBJS:o=c)

DISTFILES = $(SRCS) copy.xbm copy_mask.xbm link.xbm link_mask.xbm \
	    error.xbm error_mask.xbm Makefile.in

$(DLIB):	$(OBJS)
		$(CC) -shared -o $(DLIB) $(OBJS)

$(SLIB):	$(OBJS)
		ar -r $(SLIB) $(OBJS)
		$(RANLIB) $(SLIB)

clean:
		rm -f $(OBJS) $(LIB) *.bak core

dname:
		mkdir ../../`cat ../../.dname`/swt/motif
		ln $(DISTFILES) ../../`cat ../../.dname`/swt/motif

depend:
	cp Makefile Makefile.bak
	$(AWK) "{ print; } /^# DO NOT DELETE/ { exit; }" < Makefile.bak > Makefile
	$(AWK) '{ print } /^# DO NOT DELETE THIS LINE/ { print ""; exit }' < Makefile.bak > Makefile
	if test "$(CC)" = "gcc" ; then \
           mkdep="gcc -MM";\
        else \
           if test "`uname`" = "SunOS" ; then\
              mkdep="$(CC) -xM";\
           else\
              mkdep="$(CC) -M";\
           fi\
        fi;\
        $$mkdep $(INCDIRS) $(SRCS) >> Makefile

# DO NOT DELETE this line -- it's make depend food

swt.o: swt.c
swt.o: /usr/include/Xm/Xm.h
swt.o: /usr/include/X11/Intrinsic.h
swt.o: /usr/include/X11/Xlib.h
swt.o: /usr/include/sys/types.h
swt.o: /usr/include/standards.h
swt.o: /usr/include/sgidefs.h
swt.o: /usr/include/internal/sgimacros.h
swt.o: /usr/include/sys/pthread.h
swt.o: /usr/include/sys/bsd_types.h
swt.o: /usr/include/sys/select.h
swt.o: /usr/include/string.h
swt.o: /usr/include/internal/string_core.h
swt.o: /usr/include/X11/X.h
swt.o: /usr/include/X11/Xfuncproto.h
swt.o: /usr/include/X11/Xosdefs.h
swt.o: /usr/include/stddef.h
swt.o: /usr/include/internal/stddef_core.h
swt.o: /usr/include/X11/Xutil.h
swt.o: /usr/include/X11/Xresource.h
swt.o: /usr/include/X11/Core.h
swt.o: /usr/include/X11/Composite.h
swt.o: /usr/include/X11/Constraint.h
swt.o: /usr/include/X11/Object.h
swt.o: /usr/include/X11/RectObj.h
swt.o: /usr/include/X11/Shell.h
swt.o: /usr/include/X11/SM/SMlib.h
swt.o: /usr/include/X11/SM/SM.h
swt.o: /usr/include/X11/ICE/ICElib.h
swt.o: /usr/include/X11/ICE/ICE.h
swt.o: /usr/include/X11/Xatom.h
swt.o: /usr/include/Xm/XmStrDefs.h
swt.o: /usr/include/X11/StringDefs.h
swt.o: /usr/include/Xm/VirtKeys.h
swt.o: /usr/include/Xm/VendorS.h
swt.o: /usr/include/Xm/BulletinB.h
swt.o: /usr/include/Xm/CascadeB.h
swt.o: /usr/include/Xm/DragDrop.h
swt.o: /usr/include/Xm/DragC.h
swt.o: /usr/include/Xm/Display.h
swt.o: /usr/include/Xm/DropSMgr.h
swt.o: /usr/include/Xm/DragIcon.h
swt.o: /usr/include/Xm/DropTrans.h
swt.o: /usr/include/Xm/DragOverS.h
swt.o: /usr/include/Xm/DrawingA.h
swt.o: /usr/include/Xm/FileSB.h
swt.o: /usr/include/Xm/Label.h
swt.o: /usr/include/Xm/MainW.h
swt.o: /usr/include/Xm/MessageB.h
swt.o: /usr/include/Xm/Protocols.h
swt.o: /usr/include/Xm/AtomMgr.h
swt.o: /usr/include/Xm/PushB.h
swt.o: /usr/include/Xm/RowColumn.h
swt.o: /usr/include/Xm/ScrollBar.h
swt.o: /usr/include/Xm/ScrolledW.h
swt.o: /usr/include/Xm/Separator.h
swt.o: /usr/include/Xm/Text.h
swt.o: /usr/include/stdio.h
swt.o: /usr/include/internal/stdio_core.h
swt.o: /usr/include/getopt.h
swt.o: /usr/include/Xm/TextF.h
swt.o: /usr/include/Xm/ToggleB.h
swt.o: /usr/include/X11/keysym.h
swt.o: /usr/include/X11/keysymdef.h
swt.o: /usr/include/X11/SGIkeysym.h
swt.o: /usr/include/X11/IntrinsicP.h
swt.o: /usr/include/X11/CoreP.h
swt.o: /usr/include/X11/CompositeP.h
swt.o: /usr/include/X11/ConstrainP.h
swt.o: /usr/include/X11/ObjectP.h
swt.o: /usr/include/X11/RectObjP.h
swt.o: /usr/include/X11/cursorfont.h
swt.o: /usr/include/stdlib.h
swt.o: /usr/include/internal/stdlib_core.h
swt.o: /usr/include/internal/locale_attr_core.h
swt.o: /usr/include/stdarg.h
swt.o: /usr/include/sys/time.h
swt.o: /usr/include/sys/timespec.h
swt.o: /usr/include/time.h
swt.o: /usr/include/internal/time_core.h
swt.o: /usr/include/sys/ptimers.h
swt.o: /usr/include/sys/stat.h
swt.o: /usr/include/errno.h
swt.o: /usr/include/internal/errno_core.h
swt.o: /usr/include/sys/errno.h
swt.o: /usr/include/ctype.h
swt.o: /usr/include/internal/ctype_core.h
swt.o: /usr/include/fcntl.h
swt.o: /usr/include/sys/fcntl.h
swt.o: /usr/include/GL/gl.h
swt.o: /usr/include/GL/glx.h
swt.o: /usr/include/X11/Xmd.h
swt.o: /usr/include/GL/glxtokens.h
swt.o: ../../config.h
swt.o: ../include/swt.h
swt.o: ../include/keycodes.h
swt.o: ../include/swttypedef.h
swt.o: ../include/swtxinput.h
swt.o: /usr/include/X11/extensions/XInput.h
swt.o: /usr/include/X11/extensions/XI.h
swt.o: ../../mycsnprintf.h
swt.o: ../../mysnprintf.h
swt.o: copy.xbm
swt.o: copy_mask.xbm
swt.o: link.xbm
swt.o: link_mask.xbm
swt.o: error.xbm
swt.o: error_mask.xbm
swt.o: cursor_none.xbm
swt.o: ../include/stereoview.h
swt.o: swt_structs.h
browser.o: browser.c
browser.o: /usr/include/fcntl.h
browser.o: /usr/include/sys/types.h
browser.o: /usr/include/standards.h
browser.o: /usr/include/sgidefs.h
browser.o: /usr/include/internal/sgimacros.h
browser.o: /usr/include/sys/pthread.h
browser.o: /usr/include/sys/bsd_types.h
browser.o: /usr/include/sys/select.h
browser.o: /usr/include/string.h
browser.o: /usr/include/internal/string_core.h
browser.o: /usr/include/sys/fcntl.h
browser.o: /usr/include/X11/Intrinsic.h
browser.o: /usr/include/X11/Xlib.h
browser.o: /usr/include/X11/X.h
browser.o: /usr/include/X11/Xfuncproto.h
browser.o: /usr/include/X11/Xosdefs.h
browser.o: /usr/include/stddef.h
browser.o: /usr/include/internal/stddef_core.h
browser.o: /usr/include/X11/Xutil.h
browser.o: /usr/include/X11/Xresource.h
browser.o: /usr/include/X11/Core.h
browser.o: /usr/include/X11/Composite.h
browser.o: /usr/include/X11/Constraint.h
browser.o: /usr/include/X11/Object.h
browser.o: /usr/include/X11/RectObj.h
browser.o: /usr/include/stdlib.h
browser.o: /usr/include/internal/stdlib_core.h
browser.o: /usr/include/internal/locale_attr_core.h
browser.o: /usr/include/getopt.h
browser.o: /usr/include/stdio.h
browser.o: /usr/include/internal/stdio_core.h
browser.o: /usr/include/signal.h
browser.o: /usr/include/internal/signal_core.h
browser.o: /usr/include/sys/signal.h
browser.o: /usr/include/sys/sigevent.h
browser.o: /usr/include/sys/siginfo.h
browser.o: /usr/include/sys/ucontext.h
browser.o: /usr/include/sys/timespec.h
browser.o: /usr/include/sys/procset.h
browser.o: /usr/include/unistd.h
browser.o: /usr/include/sys/unistd.h
browser.o: /usr/include/sys/uio.h
browser.o: /usr/include/utime.h
browser.o: /usr/include/sys/utime.h
browser.o: /usr/include/re_comp.h
browser.o: /usr/include/errno.h
browser.o: /usr/include/internal/errno_core.h
browser.o: /usr/include/sys/errno.h
browser.o: /usr/include/sys/wait.h
browser.o: /usr/include/sys/resource.h
browser.o: ../../config.h
browser.o: ../include/swt.h
browser.o: ../include/keycodes.h
browser.o: ../include/swttypedef.h
tree.o: tree.c
tree.o: /usr/include/stdlib.h
tree.o: /usr/include/internal/stdlib_core.h
tree.o: /usr/include/standards.h
tree.o: /usr/include/sgidefs.h
tree.o: /usr/include/internal/sgimacros.h
tree.o: /usr/include/internal/locale_attr_core.h
tree.o: /usr/include/getopt.h
tree.o: /usr/include/assert.h
tree.o: /usr/include/internal/assert_core.h
tree.o: /usr/include/string.h
tree.o: /usr/include/internal/string_core.h
tree.o: ../include/swt.h
tree.o: ../include/keycodes.h
tree.o: ../include/swttypedef.h
header.o: header.c
header.o: /usr/include/stdlib.h
header.o: /usr/include/internal/stdlib_core.h
header.o: /usr/include/standards.h
header.o: /usr/include/sgidefs.h
header.o: /usr/include/internal/sgimacros.h
header.o: /usr/include/internal/locale_attr_core.h
header.o: /usr/include/getopt.h
header.o: /usr/include/string.h
header.o: /usr/include/internal/string_core.h
header.o: /usr/include/assert.h
header.o: /usr/include/internal/assert_core.h
header.o: ../include/swt.h
header.o: ../include/keycodes.h
header.o: ../include/swttypedef.h
groupbox.o: groupbox.c
groupbox.o: /usr/include/stdio.h
groupbox.o: /usr/include/internal/stdio_core.h
groupbox.o: /usr/include/standards.h
groupbox.o: /usr/include/sgidefs.h
groupbox.o: /usr/include/internal/sgimacros.h
groupbox.o: /usr/include/getopt.h
groupbox.o: /usr/include/stdlib.h
groupbox.o: /usr/include/internal/stdlib_core.h
groupbox.o: /usr/include/internal/locale_attr_core.h
groupbox.o: ../include/swt.h
groupbox.o: ../include/keycodes.h
groupbox.o: ../include/swttypedef.h
statusbar.o: statusbar.c
statusbar.o: /usr/include/stdlib.h
statusbar.o: /usr/include/internal/stdlib_core.h
statusbar.o: /usr/include/standards.h
statusbar.o: /usr/include/sgidefs.h
statusbar.o: /usr/include/internal/sgimacros.h
statusbar.o: /usr/include/internal/locale_attr_core.h
statusbar.o: /usr/include/getopt.h
statusbar.o: /usr/include/string.h
statusbar.o: /usr/include/internal/string_core.h
statusbar.o: ../include/swt.h
statusbar.o: ../include/keycodes.h
statusbar.o: ../include/swttypedef.h
toolbar.o: toolbar.c
toolbar.o: ../../config.h
toolbar.o: /usr/include/stdio.h
toolbar.o: /usr/include/internal/stdio_core.h
toolbar.o: /usr/include/standards.h
toolbar.o: /usr/include/sgidefs.h
toolbar.o: /usr/include/internal/sgimacros.h
toolbar.o: /usr/include/getopt.h
toolbar.o: /usr/include/stdlib.h
toolbar.o: /usr/include/internal/stdlib_core.h
toolbar.o: /usr/include/internal/locale_attr_core.h
toolbar.o: ../include/swt.h
toolbar.o: ../include/keycodes.h
toolbar.o: ../include/swttypedef.h
util.o: util.c
util.o: ../include/swt.h
util.o: ../include/keycodes.h
util.o: ../include/swttypedef.h
resload.o: resload.c
resload.o: ../include/swt.h
resload.o: ../include/keycodes.h
resload.o: ../include/swttypedef.h
resload.o: ../include/res.h
resload.o: /usr/include/stdlib.h
resload.o: /usr/include/internal/stdlib_core.h
resload.o: /usr/include/standards.h
resload.o: /usr/include/sgidefs.h
resload.o: /usr/include/internal/sgimacros.h
resload.o: /usr/include/internal/locale_attr_core.h
resload.o: /usr/include/getopt.h
resload.o: /usr/include/string.h
resload.o: /usr/include/internal/string_core.h

=== src/swt/rc/Makefile ===
# Generated automatically from Makefile.in by configure.
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = cc
AWK = gawk
LEX = flex
YACC = bison -y

LIBS =
LIBDIRS =
INCDIRS = -I../include
# WARNINGS = -Wall -Wwrite-strings
CFLAGS = -g $(WARNINGS) $(INCDIRS)
MAKEDEPEND=gcc -MM
YFLAGS = -d

TARGET = rc

OBJS = \
	rcparse.o \
	rclex.o \
	rc.o

$(TARGET):	$(OBJS)
	$(CC) $(OBJS) -o $(TARGET)

SRCS = rc.c

DISTFILES = $(SRCS) rc.h rcparse.y rclex.l Makefile.in

clean:
		rm -f $(OBJS) rcparse.c rclex.c

clobber:
		rm -f $(TARGET)

dname:
		mkdir ../../`cat ../../.dname`/swt/rc
		ln $(DISTFILES) ../../`cat ../../.dname`/swt/rc

depend:		$(SRCS)
		cp Makefile Makefile.bak
		$(AWK) "{ print; } /^# DO NOT DELETE/ { exit; }" < Makefile.bak > Makefile
		$(MAKEDEPEND) $(INCDIRS) $(SRCS) >> Makefile

y.tab.h:	rcparse.c

rclex.o:	y.tab.h rc.h

rcparse.o:	rc.h

# DO NOT DELETE this line -- it's make depend food
rc.o: rc.c rc.h

=== src/swt/tests/Makefile ===
# Generated automatically from Makefile.in by configure.
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CPP = cc -E
CC = cc
AWK = gawk
CXXCPP = CC -E
CXX = CC

LIBS = ../../mysnprintf.o ../lib/libswt.a -lpng -ljpeg -lz -lglut -lGLU -lGL -lXi -lXm -lXext -lXt -lXmu -lX11 -lm -ldl  -L/usr/local/lib32 -L/usr/freeware/lib32 -L/usr/lib32 

INCDIRS = -I../include

# WARNINGS = -Wall -Wwrite-strings
CFLAGS = -g $(WARNINGS) $(INCDIRS)
CXXFLAGS = $(CFLAGS)

TARGETS = swTest text buttons doodle drawing tree restest draw1

OBJS=	\
	swTest.o \
	text.o \
	buttons.o \
	doodle.o \
	drawing.o \
	tree.o \
	restest.o 

OBJSCXX= \
        draw1.o

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) -g $(INCDIRS) $(CXXFLAGS) -c $<

SRCS= $(OBJS:o=c) $(OBJSCXX:o=cpp)

DISTFILES=	$(SRCS) Makefile.in res.rc bitmap1.bmp resource.h

targets:	$(TARGETS)

swTest:		swTest.o ../lib/libswt.a
		$(CC) swTest.o $(LIBS) -o swTest

text:		text.o ../lib/libswt.a
		$(CC) text.o $(LIBS) -o text

buttons:	buttons.o ../lib/libswt.a
		$(CC) buttons.o $(LIBS) -o buttons

doodle:		doodle.o ../lib/libswt.a
		$(CC) doodle.o $(LIBS) -o doodle

drawing:	drawing.o ../lib/libswt.a
		$(CC) drawing.o $(LIBS) -o drawing

tree:		tree.o ../lib/libswt.a
		$(CC) tree.o $(LIBS) -o tree

draw1:		draw1.o ../lib/libswt.a
		$(CXX) draw1.o $(LIBS) -o draw1

resource.c:	res.rc bitmap1.bmp
		sed 's.\\\\./.' < res.rc > res.rc.c
		$(CXXCPP) res.rc.c | grep -v '//' | ../rc/rc > resource.c
		rm res.rc.c

restest:	restest.o resource.o ../lib/libswt.a
		$(CC) restest.o resource.o $(LIBS) -o restest

clean:
		rm -f $(OBJS) $(OBJSCXX) \
                      resource.c resource.o \
                      drawing swTest doodle restest tree buttons text draw1

clobber:
		rm -f $(TARGETS)

dname:		$(DISTFILES)
		mkdir ../../`cat ../../.dname`/swt/tests
		ln $(DISTFILES) ../../`cat ../../.dname`/swt/tests

depend:
		cp Makefile Makefile.bak
		$(AWK) "{ print; } /^# DO NOT DELETE/ { exit; }" < Makefile.bak > Makefile

		gcc -MM $(INCDIRS) $(SRCS) >> Makefile

# DO NOT DELETE this line -- it's make depend food
swTest.o: swTest.c ../include/swt.h ../include/keycodes.h
text.o: text.c ../include/swt.h ../include/keycodes.h
buttons.o: buttons.c ../include/swt.h ../include/keycodes.h
doodle.o: doodle.c ../include/swt.h ../include/keycodes.h
drawing.o: drawing.c ../include/swt.h ../include/keycodes.h
tree.o: tree.c ../include/swt.h ../include/keycodes.h ../include/res.h
restest.o: restest.c ../include/swt.h ../include/keycodes.h \
 ../include/res.h resource.h

=== packager/debian/changelog ===
whitedune (0.20beta19-1) experimental; urgency=low

  * Version 0.20beta19 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>  Wed, 7 Aug 2002 15:46:48 +0200

whitedune (0.19beta31-1) experimental; urgency=low

  * Initial debian package

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Mon, 15 Apr 2002 17:00:05 +0200

=== packager/debian/control ===
Source: whitedune
Section: graphics
Priority: optional
Maintainer: J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>
Build-Depends: xvfb, xbase-clients, libgl-dev, libmotif-dev, libpng2-dev, libjpeg62-dev, glutg3-dev
Standards-Version: 3.5.6.1

Package: whitedune
Architecture: any
Depends: ${shlibs:Depends}
Suggests: vrwave, openvrml-lookat, freewrl, moonlight, admesh, wings3d
Description: Graphical VRML97 editor, simple NURBS 3D modeller and 
 animation tool
 The dune program is a graphical VRML97 editor, simple NURBS 3D modeller and
 animation tool.
 VRML97 (Virtual Reality Modelling Language) is the ISO standard for
 displaying 3D data over the web. It has support for animation, realtime
 interaction and multimedia (image, movie, sound). VRML97 can be written
 by popular programs like maya, catia, 3D Studio MAX, cinema4D and others.
 .
 Dune can read VRML97 files, display and let the user change the 
 scenegraph/fields. Dune can load and store x3d (next generation VRML xml
 format) files, if configured to work with the nist.gov x3d translators.
 Advanced features of dune like the usage of 3Drevelator shutterglases with 
 the commercial Linux XIG X11 Server (DX/platium) or the usage of a Labtec
 Spaceball with libsball require recompilation of the source package.
